<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <form class="ui form" id="export-form" th:object="${report}" method="post" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_REPORTS} + ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EXPORT}}">
    <input th:field="*{type}" type="hidden" />
    <div class="fields">
      
      	<div class="field six wide">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAM}}"></label>
          <div class="ui fluid input" th:fragment="team" id="divteam">
            <select class="ui fluid clearable search dropdown" th:field="${report.team}" onchange="changeExportTeam()">
              <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
              <option th:each="team : ${teams}" th:text="${team.name}" th:value="${team.id}"></option>
            </select>
          </div>
        </div>
        <div class="field six wide">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCE}}"></label>
          <div class="ui fluid input" th:fragment="resource" id="divresource">
            <select class="ui fluid clearable search dropdown" th:field="${report.resource}">
              <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
              <option th:each="resource : ${resources}" th:text="${resource.name}" th:value="${resource.id}"></option>
            </select>
          </div>
        </div>
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}, 
	                                            field = 'startDay', 
	                                            required = true,
	                                            value = ${#dates.format(report.startDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
	                                            placeholder = 'Choose the day',
	                                            columnsize = 'three wide'
	                                            )" />
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}, 
                                                field = 'endDay', 
                                                required = true,
                                                value = ${#dates.format(report.endDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
                                                placeholder = 'Choose the day',
                                                columnsize = 'three wide'
                                                )" />
    </div>    
    <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_EXPORT},
                                                  		icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EXPORT},
                                                  		icon1url = ''
                                                  		)" />
	<input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    
   </form>
</body>
</html>